Next: LEADZ, Previous: LBOUND, Up: Intrinsic Procedures [Contents][Index]

### 9.166 `LCOBOUND` — Lower codimension bounds of an array

Description:

  Returns the lower bounds of a coarray, or a single lower cobound along the DIM codimension.

Standard:

  Fortran 2008 and later

Class:

  Inquiry function

Syntax:

  `RESULT = LCOBOUND(COARRAY [, DIM [, KIND]])`

Arguments:

  ARRAY | Shall be an coarray, of any type.
  DIM | (Optional) Shall be a scalar `INTEGER`.
  KIND | (Optional) An `INTEGER` initialization expression indicating the kind parameter of the result.

Return value:

  The return value is of type `INTEGER` and of kind KIND. If KIND is absent, the return value is of default integer kind. If DIM is absent, the result is an array of the lower cobounds of COARRAY. If DIM is present, the result is a scalar corresponding to the lower cobound of the array along that codimension.

See also:

  UCOBOUND, LBOUND